##############################################################################
pdfas.dir=conf/pdf-as
public.url=http://localhost:8080/pdf-as-web
#public.data.url=http://localhost:8088/pdf-as-web

error.showdetails=false

# Allow configuration overwrite from external sources
# use with care!
allow.ext.overwrite=false

#mobile.sign.enabled = true
#bku.sign.enabled =true

# White list entries for properties, that can be overwritten, 
# by external components
ext.overwrite.wl.1=^$


##############################################################################
## Signing by Security-Layer 
bku.local.url=http://127.0.0.1:3495/http-security-layer-request
bku.mobile.url=https://www.handy-signatur.at/mobile/https-security-layer-request/default.aspx


##############################################################################
ks.enabled=false
ks.file=test.p12
ks.type=PKCS12
ks.pass=123456
ks.key.alias=ecc_test
ks.key.pass=123456


##############################################################################
## KeyStore List
# Entries are addressable via KeyIdentifier 
# Example Entry with address "test"
ksl.test.enabled=true
ksl.test.file=test1.p12
ksl.test.type=PKCS12
ksl.test.pass=123456
ksl.test.key.alias=test1
ksl.test.key.pass=123456


##############################################################################
## Moa List
# Entries are addressable via KeyIdentifier 
# Example Entry with address "test"
moal.test.enabled=true
moal.test.url=http://localhost:8080/moa-spss/services/SignatureCreation
moal.test.KeyIdentifier=KG_ECC_TEST
moal.test.Certificate=KG_ECC_TEST.crt


##############################################################################
###### Enable SOAP Service
# Enable signing endpoint
soap.sign.enabled=true

# Enable implicide signature-verification during WebService signing
soap.sign.with.verify.enabled=true

# Enable signature-verification endpoint
# soap.verify.enabled=false


##############################################################################
whitelist.enabled=true
# Matches everything
whitelist.url.01=^.*$


##############################################################################
#Request Store
# Default In Memory Store
request.store=at.gv.egiz.pdfas.web.store.InMemoryRequestStore
# DB Request Store for cluster
#request.store=at.gv.egiz.pdfas.web.store.DBRequestStore

# seconds Requests are kept in Database (default 600)
#request.db.timeout=600

#Hibernate Properties for DB Store

#hibernate.props.hibernate.dialect=org.hibernate.dialect.MySQLDialect
#hibernate.props.hibernate.connection.driver_class=com.mysql.jdbc.Driver
#hibernate.props.hibernate.connection.url=jdbc:mysql://localhost/pdfasweb
#hibernate.props.hibernate.connection.username=pdfasweb
#hibernate.props.hibernate.connection.password=pdfasweb
#hibernate.props.hibernate.connection.pool_size=5
#hibernate.props.hibernate.connection.autocommit=false 
#hibernate.props.hibernate.show_sql=true
#hibernate.props.hibernate.hbm2ddl.auto=update


##############################################################################
#Security layer 2.0 config
#sl20.sign.enabled=true
#sl20.mobile.url=http://localhost:7080/vda/services/getCertificate
sl20.keystore.file=
sl20.keystore.pass=
sl20.keystore.sign.key.alias=
sl20.keystore.sign.key.pass=
sl20.keystore.enc.key.alias=
sl20.keystore.enc.key.pass=
sl20.debug.validation.disable=true
sl20.debug.signed.result.enabled=false
sl20.debug.signed.result.required=false
sl20.debug.encryption.enabled=false
sl20.debug.encryption.required=false
sl20.transfermode.filesize=20000000
